<?php
session_start();
include "../conexion.php";
require_once('../include/sesiones.php'); 
$trat_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from articulos a, trasladoe_detalle_temp td where td.trat_referencia=a.art_referencia and trat_id='$trat_id' and a.empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$art_id=$dato['art_id'];
$trat_id=$dato['trat_id'];
$trat_referencia=$dato['trat_referencia'];
$trat_precio=$dato['trat_precio'];
$art_nombre=$dato['art_nombre'];
$trat_cantidad=$dato['trat_cantidad'];
?>
<form role="form" id="actualizar"> 
    <div id="resultados_modi"></div>      
        <div class="row" style="padding: 10px;">
            <div class="">
                <label for="codigo_item" class="control-label">Código</label>
                <input type="text" class="form-control" id="codigo_item" name="codigo_item" placeholder="" value="<?php echo $trat_referencia; ?>" disabled required>
                <input type="hidden" name="id" value="<?php echo $trat_id; ?>">
                <input type="hidden" name="art_id" value="<?php echo $art_id; ?>">
            </div>
            <div class="">
                <label for="cantidad_item" class="control-label">Cantidad</label>
                <input type="text" class="form-control" value="<?php echo $trat_cantidad; ?>" name="cantidad" id="cantidad" required>
            </div>
       
            <div class="">
                <label for="art_nombre" class="control-label">Descripción</label>
                <textarea class="form-control" name="art_nombre" id="art_nombre" disabled> <?php echo $art_nombre; ?></textarea>
            </div>
        </div>
         <input type="hidden" class="form-control" value="<?php echo $trat_precio; ?>" name="precio" required>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="submit" id="btn_mod" class="btn btn-success">Modificar</button>
    </div>
</form>


<script >
$("#actualizar" ).submit(function( event ) {
$('#btn_mod').attr("disabled", true);

var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_traslados_emp/editar.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_fam').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_modi").html(datos);
      $('#btn_mod').attr("disabled", false);
       
      }
  });
  event.preventDefault();
})
</script>